%define major	0
%define libname	%mklibname %name %{major}
%define devel	%mklibname %{name} -d

Summary:	Touch Typing Tutor
Name:		klavaro
Version:	3.09
Release:	%mkrel 1
License:	GPLv2+
Group:		Education
URL:		https://klavaro.sourceforge.io/
Source0:	http://sourceforge.net/projects/klavaro/files/klavaro-%{version}.tar.bz2
Patch0:		klavaro-3.05-linking.patch
Patch1:		klavaro-str-fmt.patch
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.22
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	intltool
Recommends:	wget

%description
Klavaro is just another free touch typing tutor program. It was developed
because the authors became frustrated with the other options, which relied
mostly on some few specific keyboards. Klavaro intends to be keyboard and
language independent, saving memory and time (and money).

%package -n %{libname}
Summary:	Touch Typing Tutor
Group:		System/Libraries

%description -n %{libname}
Klavaro is just another free touch typing tutor program. It was developed
because the authors became frustrated with the other options, which relied
mostly on some few specific keyboards. Klavaro intends to be keyboard and
language independent, saving memory and time (and money).

%package -n %{devel}
Summary:	Touch Typing Tutor
Group:		Development/C
Requires:	%{libname} >= %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devel}
Klavaro is just another free touch typing tutor program. It was developed
because the authors became frustrated with the other options, which relied
mostly on some few specific keyboards. Klavaro intends to be keyboard and
language independent, saving memory and time (and money).

%prep
%autosetup -p1

%build
%configure \
	--disable-rpath \
	--disable-static
%make_build

%install
%make_install DATADIRNAME=share

find %{buildroot} -name "*.la" -delete

%find_lang %{name}

rm %{buildroot}%{_includedir}/*

%files -f %{name}.lang
%{_bindir}/*
%{_datadir}/%name
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/*.1.*
%{_datadir}/appdata/klavaro.appdata.xml

%files -n %{libname}
%{_libdir}/libgtkdataboks.so.%{major}{,.*}

%files -n %{devel}
%{_libdir}/libgtkdataboks.so


%changelog
* Wed Mar 25 2020 wally <wally> 3.09-1.mga8
+ Revision: 1560427
- new version 3.09
- drop unused BR gtkdatabox

* Sat Feb 15 2020 umeabot <umeabot> 3.05-2.mga8
+ Revision: 1525381
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Apr 14 2019 daviddavid <daviddavid> 3.05-1.mga7
+ Revision: 1389950
- new version: 3.05

* Sun Sep 23 2018 umeabot <umeabot> 3.03-2.mga7
+ Revision: 1298573
- Mageia 7 Mass Rebuild

* Tue Apr 03 2018 kekepower <kekepower> 3.03-1.mga7
+ Revision: 1215013
- BR gtk3
- Update to version 3.03

* Thu Feb 04 2016 umeabot <umeabot> 2.01-5.mga6
+ Revision: 934415
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.01-4.mga5
+ Revision: 742874
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.01-3.mga5
+ Revision: 681106
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sat Mar 29 2014 fwang <fwang> 2.01-2.mga5
+ Revision: 609260
- rebuild

* Sat Feb 15 2014 dams <dams> 2.01-1.mga5
+ Revision: 591824
- new version 2.01

* Sat Oct 19 2013 umeabot <umeabot> 1.9.7-2.mga4
+ Revision: 531061
- Mageia 4 Mass Rebuild

* Wed Jul 31 2013 malo <malo> 1.9.7-1.mga4
+ Revision: 461833
- update to 1.9.7 (Marja van Waes)

* Sat Mar 23 2013 wally <wally> 1.9.6-3.mga3
+ Revision: 404675
- use desktop file from upstream
- clean .spec a bit

* Sat Jan 12 2013 umeabot <umeabot> 1.9.6-2.mga3
+ Revision: 356277
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 16 2012 remmy <remmy> 1.9.6-1.mga3
+ Revision: 331404
- New upstream version: 1.9.6

* Sun Aug 26 2012 remmy <remmy> 1.9.5-1.mga3
+ Revision: 284101
- New upstream version
+ supp <supp>
- imported package klavaro

